package org.springblade.sqlfly.type;

/**
 * clickhouse数据类型映射到Java
 * 
 * @author William
 * @date 2022年10月28日 上午11:30:40
 */
public class ClickhouseType extends JavaType {

	public ClickhouseType() {
	}

	@Override
	public String get(String dataType) {
		String type = dataType.toLowerCase();
		if (type.contains("int")) {
			if (type.contains("int64")) {
				return "Long";
			}
			return "Integer";
		}

		if (type.contains("enum")) {
			return "Integer";
		}

		if (type.contains("float32")) {
			return "Float";
		}

		if (type.contains("float64")) {
			return "Double";
		}

		if (type.contains("decimal")) {
			return "BigDecimal";
		}

		if (type.contains("date")) {
			return "Date";
		}

		return "String";
	}

	@Override
	public String get(String dataType, int size, int scale) {
		return null;
	}

}
